# syntax=docker/dockerfile:1

FROM python:3.11-slim-bullseye

WORKDIR /python-docker

COPY requirements.txt requirements.txt
RUN pip3 install -r requirements.txt

COPY . .

# Expose port 8080
EXPOSE 8080

CMD [ "python3", "-m" , "flask", "run" , "--host=0.0.0.0", "--port=8080"]
